﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = 'https://downloads.graylog.org/releases/graylog-collector-sidecar/1.4.0/graylog_sidecar_installer_1.4.0-1.exe'
  softwareName  = 'graylog-sidecar*'
  checksum      = 'f86c7edd9f5073b3865d4da240a44f9ea96a2cb5cec3dee95ad1274fb3d44935'
  checksumType  = 'sha256'
  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
